Subject: Re: "svn --version" halts in 1.7.2-2
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Sat, 27 Mar 2010 16:37:00 +0000
List-Id: <cygwin.cygwin.com>

Charles Wilson:
> Hmm.  I remember having transient problems with svn and many of the
> 1.7.0 snapshots, but they were intermittent and I had bigger fish to
> fry.  I don't recall any issues with 1.7.1, nor am I having any trouble
> with 1.7.2.  However, I would not be surprised if
>
> (a) the "problem" is some intermittent interaction between
> cygwin-1.7.x's completely redesigned file name handling and an old,
> statically-linked, compiled during the 1.5.x era, libltdl
>
> (b) the reason you didn't see it in 1.7.1 was just that -- it's
> intermittent, and you didn't HAPPEN to see it during that 3-month window.
>
> (c) if libsasl2 had been linked against the DLL version of cygltdl, then
> perhaps none of this would have happened -- since I try to keep the
> officially distributed libtool more-or-less up to date, and rigorously
> tested.

Not that I understand any of the details, but there've been changes to
atexit() handling in 1.7.2; perhaps they're something to do with this.
Might also tie into the thread about rxvt not exiting.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple